Subject: [AVT] use of rtcp in third party monitoring

From: Papagianni Chrisa <[email-masked]>
Date: Mon, 9 Feb 2004 08:16:30 -0800 (PST)

hello all,
 I am doing a research on the use of rtcp protocol  on
monitoring (third party) the status of a network.
    The two values I am specially interested in is
packet loss rate and jitter in msec.I order to get the
packet loss rate mentioned in rfc 3550 (if I have
understant it correctly)
 
loss rate per sec= (fraction over the interval)
/(ntp(i+1)-ntp(i))
where 
ntp=ntp timestamp
and 
fraction over the interval=(cum(i+1)-cum(i)) /
(elsn(i+1)-elsn(i))
where
cum=cummulative number of packets lost
elsn=extended last sequence number
 
a) in order to get the ntp timetsamps, if I only track
RR packets, should I use the LSR field and how do I
convert it in sec? Is LSR expressed in units of
1/65536 sec as DLSR?
b)instead of using ( fraction over the
interval=(cum(i+1)-cum(i)) / (elsn(i+1)-elsn(i)) ) can
I use the Field FRACTION LOST (and the ntp timestamps
will be consequtive) ?
 
c)In order to estimate the value of jitter in msec, in
the rfc it says that the intearrival jitter is
measured in timestamp units, by timestamp you mean the
rtp timsetamp which is definitely dependent on the
sampling frequency?
d)To estimate the interarrival jitter in msec should I
multiply jitter*(rtp_timestamp) ?
 
thanks in advance 
regards

__________________________________
Do you Yahoo!?
Yahoo! Finance: Get your refund fast by filing online.
http://taxes.yahoo.com/filing.html

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt